---
title: "Instagram"
description: "Instagram through the shared SNS operations: profiles, posts and reels, comments, highlights, hashtags and locations."
---

## Operations

| Operation | Endpoint | Returns | Price |
|---|---|---|---|
| [Profile](/docs/api-reference/instagram/profile) | `GET \| POST /v1/instagram/profile` | `Account` | $0.001 |
| [Post](/docs/api-reference/instagram/post) | `GET \| POST /v1/instagram/post` | `Post` | $0.001 |
| [Posts](/docs/api-reference/instagram/posts) | `GET \| POST /v1/instagram/posts` | `Page<Post>` | $0.001 |
| [Comments](/docs/api-reference/instagram/comments) | `GET \| POST /v1/instagram/comments` | `Page<Comment>` | $0.001 |
| [Group](/docs/api-reference/instagram/group) | `GET \| POST /v1/instagram/group` | `Group` | $0.001 |
| [Groups](/docs/api-reference/instagram/groups) | `GET \| POST /v1/instagram/groups` | `Page<Group>` | $0.001 |
